CVE-2021-22257

Name
CVE-2021-22257
Description
An issue has been discovered in GitLab affecting all versions starting from 14.0 before 14.0.9, all versions starting from 14.1 before 14.1.4, all versions starting from 14.2 before 14.2.2. The route for /user.keys is not restricted on instances with public visibility disabled. This allows user enumeration on such instances.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://gitlab.com/gitlab-org/gitlab/-/issues/23832
CONFIRM https://gitlab.com/gitlab-org/cves/-/blob/master/2021/CVE-2021-22257.json

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:* gitlab >= 14.0.0 < 14.0.9
cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:* gitlab >= 14.1.0 < 14.1.4
cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:* gitlab >= 14.2.0 < 14.2.2

Vulnerable and fixed packages

Source package Branch Version Maintainer Status